
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Java编程思想--学习笔记（一）】访问控制-包 / 憋错料</title>

    <meta name="description" content="【Java编程思想--学习笔记（一）】访问控制-包 Java编程思想–学习笔记(一) 访问控制(或隐藏具体实现)与&quot;最初的实现并不恰当&quot;有关. 1.包:库单元 我们之所以要导入包,就是要提供一个管理名字的空间机制. 每个java文件只能有一个public类.其他私有类为主public·类提供支持. 1.1 代码组织 与编译型语言不同,java可运行程序是一组可以打包并压缩成java文档文件(JAR,使用Java的jar文档生成器)的.class文件. 使用package和import关键字,使得不会出现名称冲突问题. 注意:j ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【Java编程思想--学习笔记（一）】访问控制-包</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Java编程思想–学习笔记（一）</p>
<p>访问控制（或隐藏具体实现）与“最初的实现并不恰当”有关。</p>
<p>1、包：库单元</p>
<p>我们之所以要导入包，就是要提供一个管理名字的空间机制。</p>
<p>每个java文件只能有一个public类。其他私有类为主public·类提供支持。</p>
<p>1.1 代码组织</p>
<p>与编译型语言不同，java可运行程序是一组可以打包并压缩成java文档文件（JAR，使用Java的jar文档生成器）的.class文件。</p>
<p>使用package和import关键字，使得不会出现名称冲突问题。</p>
<p>注意：java包的命名规则全部使用小写字母，包括中间的字。</p>
<p>1.2 创建独一无二的包命</p>
<p>package名称的独特性一是在于类的创建者的反顺序是Internet的域名，二是在于package名称分解为你机器上的一个目录。</p>
<p>java解释器的运作过程如下：</p>
<p>1）找到环境变量CLASSPATH</p>
<p>2）通过将包名的“.”换做“/”,从CLASSPATH根中产生一个路径名称。</p>
<p>3）解释器根据路径找到与包名相对应的“.class”文件。</p>
<p>CLASSPATH包含一个或多个目录，用来查找.class的根目录。因此java解释器查找的路径包含两部分，第一部分是CLASSPATH下的某一个目录，第二部分是由包名改造而成的路径。</p>
<p>注意：</p>
<p>1）使用jar文件时，CLASSPATH中包含jar文件的实际名称。</p>
<p>2）通过“*”导入类库时可能在使用两个库含有相同名称的类时出现冲突。解决方式是在使用的类前写全它的包，或者使用单个类导入形式。</p>
<p>1.3 定制工具库</p>
<p>创建自己的工具库来减少和消除重复的程序代码。</p>
<p>代码实例：</p>
<p>Print.java</p>
<pre><code>package com.study.until;

import java.io.PrintStream;

/**
 *
 * @author wom Print method that can be used without
 */
public class Print {
    // Print with a newline
    public static void print(Object obj) {
        System.out.println(obj);
    }

    // Print only a newline
    public static void print() {
        System.out.println();
    }

    // Print without a newline
    public static void printnb(Object obj) {
        System.out.print(obj);
    }

    // printf() from Java SE5
    public static PrintStream print(String format, Object... args) {
        return System.out.printf(format, args);
    }
}</code></pre>
<pre><code>PrintTest.java
package com.study.test;

import static com.study.until.Print.*;

public class PrintTest {
    public static void main(String[] args) {
        print(11111);
        print("what!");
        print();
        printnb("what are you doing?");
        printnb(" where are you! ");
    }
}</code></pre>
<p>注意：</p>
<p>1）JDK1.5中，String类新增了一个静态方法String.format()。</p>
<p>2）Object… args是指可变参数。即调用时可写多个参数，相当于</p>
<p>public static PrintStream print(String format, Object obj) {</p>
<p>return System.out.printf(format, obj);</p>
<p>}</p>
<p>使用时：</p>
<p>print(format,Object(obj1，obj2，obj3，……))</p>
<p>3) 引用static方法时import语句的写法。</p>
<p>1.4 用import改变行为</p>
<p>可以通过修改被导入的package的方法来实现条件代码。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 22:43:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/import/" title="import">import</a>, <a href="https://www.biecuoliao.com/tag/classpath/" title="classpath">classpath</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%bf%e9%97%ae%e6%8e%a7%e5%88%b6/" title="访问控制">访问控制</a>, <a href="https://www.biecuoliao.com/tag/%e5%8c%85/" title="包">包</a>, <a href="https://www.biecuoliao.com/tag/%e5%b7%a5%e5%85%b7%e5%ba%93/" title="工具库">工具库</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【Java编程思想--学习笔记（一）】访问控制-包的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vyLvX0.html" rel="bookmark">&lbrack;Java编程思想-学习笔记&rsqb;第3章  操作符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.1  更简单的打印语句 学习编程语言的通许遇到的第一个程序无非打印&quot;Hello, world&quot;了,然而在Java中要写成 System.out.println(&quot;Hello, world&quot;); 我们都会感觉太冗长了,能不能简单一些呢?静态导入可以省略掉System,就像这样 import static java.lang.System.*; public class Hello { public static void main(String[] args) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/498xan3.html" rel="bookmark">JAVA编程思想学习笔记&mdash;&mdash;第一章 对象导论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搞了一年多java,野路子出身,发现java基础这块还是相当的薄弱!故决定学习&lt;Java编程思想&gt;这本书.在此把学习的知识点记录下! 面向对象的五大特性 1.万物皆为对象 2.程序是对象的集合,它们通过发送消息来告诉彼此所要做的 3.每个对象都由自己的由其它对象所构成的存储 4.每个对象都拥有其类型 5.某一特定类型的所有对象都可以接收同样的信息  单根继承结构 所有的类都继承自单一的基类,Object.在单根集成结构中的所有对象都具有一个公用接口,所以他们归根到底都是相同的基本类型.单根集成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoakKn3.html" rel="bookmark">【java编程思想--学习笔记（四）】对象导论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写这篇博客的前言: 长话短说,我希望通过阅读&lt;java编程思想&gt;来使我的代码 简洁可用 . 目的的层次不同,首先具体的目标是,了解Java的特性和巩固Java的基础. 更抽象的目的如下: 1.期待以巩固基础的方式,使代码优美,简洁,高效. 2.使自己写的模块能够开放适度,好用. 3.形成一种对代码是否优美的审美观. 于是&lt;Java编程思想&gt;第一章 对象导论 由此开始. 1.1 抽象过程 java 相对于命令式语言的优势在于只针对于待解问题建模.后者所做的主要抽象要求所做问题基于计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JOlXDM.html" rel="bookmark">【java编程思想--学习笔记（三）】访问控制-接口实现与类的访问权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接口实现 什么是数据类型? java中将数据和方法包装在类中,隐藏具体的实现,其结果就是一种数据类型.(封装产生数据类型) 联想到八大基本数据类型,都具有上述的特点. 由于数据类型的上述特点,创造者将权限的边界划在数据类型的内部,将希望被访问的数据和方法与不希望被访问到的方法和数据分开,隐藏不希望被访问到的方法和数据,实际上就实现了接口和具体实现的分离. 也就是说,了解一个类如何去用,懂得其内部公开的变量和方法就可以. 类的访问权限 上面讲的都是将访问权限设置在类的内部,也可以将访问权限修饰词放			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/P471Ox0.html" rel="bookmark">【java编程思想--学习笔记（二）】访问控制-Java访问权限修饰词</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果不提供任何访问修饰词,则意味着它是&quot;包访问权限&quot;. 2.1 包访问权限 包访问权限赋予包内的类相互访问彼此成员的权限. 应该说, 包访问权限为将类群聚在一起的行为提供了意义和理由,即建立包的目的不仅仅是为了分类和区分,更是为了是同一个包内的类可以拥有彼此的代码. 取得对某一成员访问权的途径: 1)该成员的访问修饰词为public. 2)通过不加访问权限修饰词并将目标类放在同一包内的方式. 3)继承.子类可以访问父类的public和protected修饰词的成员,但只有在父子类处于同			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0b9gRVM.html" rel="bookmark">Java编程思想 学习笔记1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.对象导论 1.抽象过程 Alan Kay曾经总结了第一个成功的面向对象语言.同时也是Java所基于的语言之一的Smalltalk的五个基本特性,这些特性表现了纯粹的面向对象程序设计方式 1)万物皆对象. 2)程序是对象的集合,它们通过发送消息来告知彼此所要做的.要想请求一个对象,就必须对该对象发送一条消息.更具体的说,可以把消息想象为对某个特定对象的方法的调用请求. 3)每个对象都有自己的由其他对象所构成的存储.换句话说,可以通过创建包含现有对象的包的方式来创建新类型的对象. 4)每个对象都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YW8jX4.html" rel="bookmark">&lbrack;Java编程思想-学习笔记&rsqb;第1章  对象导论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1  抽象过程 Java是一门面向对象的语言,它的一个优点在于只针对待解问题抽象,而不用为具体的计算机结构而烦心,这使得Java有完美的移植性,也即Java的口号&quot;Write Once, Run Anywhere&quot;. 所谓的抽象过程,可以理解为对待解问题建模.比如待解问题是一个人,那么我们可以对人进行建模,它的类型是人,有属性姓名.性别.年龄,还有行为吃饭.走路.Java能直接完全据此建模编码,而无需考虑具体的计算机结构.所以当我们阅读Java程序时,正如书上说的&quot;当你在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBRjWvM.html" rel="bookmark">java编程思想学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.equals和==的区别(P65) java主要有两类数据类型: 基本数据类型(原始数据类型),主要有八种:byte,char,short,int,long,float,double,boolean   他们之间的比较用&quot;==&quot;,比较的是他们的值 复合数据类型   若用&quot;==&quot;对他们进行比较,比较的是他们在内存中存放的地址,也就是他们的句柄,除非他们是同一个对象,他们&quot;==&quot;的比较结果为true,否则为false. &quot;==&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXj2rQ3.html" rel="bookmark">Java编程思想学习笔记&lowbar;3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在继承的时候确保正确清理 在清理方法中,还必须注意对基类清理方法和成员对象清理方法的调用顺序,以防止某个子对象依赖于另一个子对象的情形的发生.一般而言,首先执行类的所有特定清理动作,其顺序同生成顺序相反(通常这要求基类元素仍然存活.然后再调用基类的清理方法. final参数 Java允许在参数列表中以声明的方式将参数声明为final.这意味着无法在方法中更改参数的值.(引用无法更改参数指向的对象). final和private关键字 类中所有的private方法都隐式的被指定为final的,由于			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoDGk0.html" rel="bookmark" class="title">Google Nexus 7 二代 刷入 Kail Net Hunter 过程记录&excl;&excl;&excl;</a>
					<div>
						早就听说过Net Hunter这东西很牛X,但是苦于一般的平板不支持,太折腾,所以没有玩过. 最近看到闲鱼上有卖NEXUS7的,价格还不错,就收了一个回来玩玩,折腾了半宿,总算是成功刷入! 先吐槽一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NyOo3.html" rel="bookmark" class="title">MFC 随机矩形</a>
					<div>
						问题描述: 简单地使用随即的尺寸和颜色不停的绘制一系列的图像. 一种古老的方式: 设置一个向窗口函数发送WM_TIMER消息的windows计时器. 对每个WM_TIMER消息,调用GetDC函数获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG81dZ0.html" rel="bookmark" class="title">锂电池的六个主要参数</a>
					<div>
						1.电池容量 电池的容量由电池内活性物质的数量决定,通常用毫安时mAh或者 Ah表示.例如1000 mAh就是能以1 A的电流放电1 h换算为所含电荷量大约为3600 C. 2.标称电压 电池正负极之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz56el4.html" rel="bookmark" class="title">combineJars  和 Fences2&lowbar;Crk</a>
					<div>
						分析jar依赖的java工程combineJars fence桌面管理工具 part1 part2 combineJars 和 Fences2_Crk,布布扣,bubuko.com					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enBVg3.html" rel="bookmark" class="title">java常用重构优化总结--自己亲身体验</a>
					<div>
						代码重构  6大原则:    单一职责原则(一个类最好最好只有一种行为动机,太多承担职责会导致耦合度太高).    开放封闭原则(功能可以扩展,但是不可以内部修改).    依赖倒转原则(应该依赖抽象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5wJW3.html" rel="bookmark" class="title">setInterval和setTimeout</a>
					<div>
						setTimeout和setInterval的基本用法我们不谈,无非是1.指定延迟后调用函数,2.以指定周期调用函数 让我们想象一个意外情况,比如说下面的setInterval setInterval ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5BzJM.html" rel="bookmark" class="title">008&lowbar;02&lowbar;ContentProvider</a>
					<div>
						什么是ContentProvider(内容提供者)? Content Provider维护特定的应用数据,并可以让其它应用轻松访问该数据.对数据使用者来说它是数据提供者.它提供统一的接口对数据进行操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDGwyM.html" rel="bookmark" class="title">01 元音 &sol;ɑ&colon;&sol; 与 &sol;&amp;&num;230&semi;&sol;</a>
					<div>
						第一个元音: /ɑ:/ 这个元音的发音 /ɑ:/ (默认BrE) 和中文’啊’是有区别的 同时在美国英语中容易被读成 /æ/ 不要犯这样的错 发音要用类似美声唱腔一样,从喉咙后部发出 /ɑ:/ 但是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2JqW3.html" rel="bookmark" class="title">【Drools-开源业务规则引擎】入门实例&lpar;含源码&rpar;</a>
					<div>
						该实例转自:http://blog.csdn.net/quzishen/article/details/6163012 便于理解的应用实例1: 现在我们模拟一个应用场景:网站伴随业务产生而进行的积分发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNPQ84.html" rel="bookmark" class="title">&amp;&num;9654&semi;链路层第三弹&amp;&num;9664&semi;  两种信道下的数据链路层【下】广播通信CSMA&sol;CD</a>
					<div>
						两种信道情况下的数据链路层     之 广播信道的数据链路层---CSMA/CD(载波监听多路访问/冲突检测) l  局域网概念 在局域网中用到的就是广播通信,所以以局域网的通信来讲解广播信道的数据链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qavLN3.html" rel="bookmark" class="title">require&lpar;&rpar;与 require&lowbar;once&lpar;&rpar;、 include与include&lowbar;once&lpar;&rpar;</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRD8Z4.html" rel="bookmark" class="title">一个有关Golang Deferred Function 执行顺序的问题</a>
					<div>
						先看一下一段关于defer的解释, 引自&lt;Go程序设计语言&gt; Syntactically, a defer statement is an ordinary function or met ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDLxrM.html" rel="bookmark" class="title">ML&lpar;5&rpar;&colon;KNN算法</a>
					<div>
						K近邻算法,即K-Nearest Neighbor algorithm,简称KNN算法,可以简单的理解为由那离自己最近的K个点来投票决定待分类数据归为哪一类.这个算法是机器学习里面一个比较经典的算法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymemVM.html" rel="bookmark" class="title">对hashmap，hashset，hashtable的理解</a>
					<div>
						1.首先先理一下java的集合关系,Collection和Map接口是所有集合接口的根结点,其他集合都直接或者间接的实现了他们中的一个:collection下有:list(元素可重复)和set(不可重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZzEwM.html" rel="bookmark" class="title">USB -- scsi命令集</a>
					<div>
						摘自:&lt;圈圈教你玩usb&gt; 241页 SCSI(small computer system interface)是小型计算机系统的缩写,有一套完整的协议规定其命令和命令数据的响应.scsi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7kqy0.html" rel="bookmark" class="title">Golang之字符串格式化</a>
					<div>
						字符串格式化 // Go 之 字符串格式化 // // Copyright (c) 2015 - Batu // package main import ( &quot;fmt&quot; ) typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWVPxb4.html" rel="bookmark" class="title">20135306第十四周学习总结</a>
					<div>
						第九章 虚拟存储器 虚拟存储器是计算机系统最重要的概念之一. 虚拟存储器(Virtual Memory),是硬件异常,硬件地址翻译,主存,磁盘文件和内核软件的完善交互,它为每个进程提供一个大的,一致的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eEDBp0.html" rel="bookmark" class="title">php无极分类</a>
					<div>
						/* CREATE TABLE `category` ( `id` int(11) NOT NULL AUTO_INCREMENT, `pid` int(11) NOT NULL DEFAULT '0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvZmYM.html" rel="bookmark" class="title">android中 碎片的生命周期</a>
					<div>
						碎片的生命周期: 1 . onAttach() : 当碎片与活动建立关联是调用 2 . onCreateView() : 用于创建碎片的视图 3 . onActivityCreated() : 当活动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyGvG3.html" rel="bookmark" class="title">Node&period;js Stream&lpar;流&rpar;</a>
					<div>
						Stream 是一个抽象接口,Node 中有很多对象实现了这个接口.例如,对http 服务器发起请求的request 对象就是一个 Stream,还有stdout(标准输出). Node.js,Str ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
